View Issue Details

IDProjectCategoryView StatusLast Update
0005452GNUnetutil librarypublic2019-02-12 12:56
ReporteramatusAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005452: configure should fail when libjansson is missing
DescriptionCurrently then libgansson is missing configure reports:
WARNING: jansson library not found. json support will not be compiled.
However compilation then fails when jansson.h is not found.
TagsNo tags attached.

Activities

ng0

2018-10-21 12:29

developer   ~0013278

It seems to me as if we absolutely require jansson.h to be present,
at least curl and gnsrecord are non-experimental or am I wrong?

src/include/gnunet_curl_lib.h:37:#include <jansson.h>
src/include/gnunet_json_lib.h:30:#include <jansson.h>
src/rest-plugins/plugin_rest_openid_connect.c:36:#include <jansson.h>
src/rest-plugins/plugin_rest_credential.c:34:#include <jansson.h>
src/rest-plugins/plugin_rest_gns.c:31:#include <jansson.h>
src/rest-plugins/plugin_rest_peerinfo.c:32:#include <jansson.h>
src/rest-plugins/plugin_rest_namestore.c:33:#include <jansson.h>
src/rest-plugins/plugin_rest_reclaim.c:36:#include <jansson.h>
src/rest-plugins/oidc_helper.c:29:#include <jansson.h>
src/rest-plugins/plugin_rest_identity.c:30:#include <jansson.h>
src/curl/curl.c:30:#include <jansson.h>
src/gnsrecord/gnsrecord.c:33:#include <jansson.h>
configure.ac:462: AC_CHECK_HEADERS(jansson.h,
configure.ac:469: AC_CHECK_HEADERS(jansson.h,
configure.ac:477: AC_CHECK_HEADERS(jansson.h,

Christian Grothoff

2019-02-12 09:03

manager   ~0013672

gnsrecord.c no longer has jansson.h, and we _should_ keep this an optional dependency only needed for the REST APIs and GNU Taler builds.

Christian Grothoff

2019-02-12 09:05

manager   ~0013673

Just tested it, Git head builds fine without libjansson.

Issue History

Date Modified Username Field Change
2018-09-30 21:21 amatus New Issue
2018-10-21 12:29 ng0 Note Added: 0013278
2018-10-21 12:30 ng0 Assigned To => amatus
2018-10-21 12:30 ng0 Status new => feedback
2019-02-12 09:03 Christian Grothoff Note Added: 0013672
2019-02-12 09:04 Christian Grothoff Assigned To amatus => Christian Grothoff
2019-02-12 09:04 Christian Grothoff Target Version => 0.11.0
2019-02-12 09:05 Christian Grothoff Status feedback => resolved
2019-02-12 09:05 Christian Grothoff Resolution open => fixed
2019-02-12 09:05 Christian Grothoff Fixed in Version => 0.11.0
2019-02-12 09:05 Christian Grothoff Note Added: 0013673